Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040906
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] Z. Othersminorhave not tried2019-05-20 09:162019-05-27 13:54
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision4dc58edab48f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040906: platform: review FK columns to set which ones shouldn't generate one-to-many property in parent entity

DescriptionAfter 0040290 implemented the capacity of defining which foreign key database column should generate a one-to-many property in their referenced parent entity, all existing columns were set to continue generating them in order to preserve backward compatibility.

All these columns should be now reviewed to decide, case by case, if those parent properties should be generated.
Steps To Reproduce-
Proposed SolutionThe following spreadsheet [1], lists all these columns for pi + retail pack. Splitting each of them by the owner team.

Column H (Keep) flags whether it should be kept (Y) or can be removed (N). When a column is marked to be removed, SQL column (K) generates the query to be run; grep column (J) contains a grep expression (check comment in header on how to use it) to look for HQL occurrences of the removed property in case there are occurrences (check for false positives), either the column cannot be removed or code needs to be fixed.

After executing the SQL, run ant.generate entities and rebuild the system to check for users of the deleted methods.

---
[1] https://docs.google.com/spreadsheets/d/1hdwjGM4_3TJ-9Bcylh_w_MM54_1T_cUlicaPfEyH1MQ/edit#gid=0 [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0040290 closedalostale do not generate one-to-many property in parent entity for all FK properties 
depends on defect 0040927 closedalostale ModelProvider does not flag all entities with images 
depends on defect 0040931 closedplatform API change: removed one-to-many child in parent properties for platform entities 
related to design defect 0040914 closedTriage Finance functional: review FK columns to set which ones shouldn't generate one-to-many property in parent entity 
related to design defect 0040915 newRetail retail: review FK columns to set which ones shouldn't generate one-to-many property in parent entity 
related to defect 00412273.0PR19Q4 closedvmromanos API Change: One-to-many cleanup (Functional team) 

-  Notes
(0112063)
hgbot (developer)
2019-05-22 09:51

Repository: erp/devel/pi
Changeset: 4dc58edab48f2f9e20cfce74f557827e43919803
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue May 21 14:03:22 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4dc58edab48f2f9e20cfce74f557827e43919803 [^]

fixed issue 40906: Platform FK columns do not generate one-to-many properties

  where it makes sense not to do so.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0112108)
caristu (developer)
2019-05-24 08:29

Reviewed
(0112169)
hudsonbot (developer)
2019-05-27 13:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bdad8ace6f89 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-20 09:16 alostale New Issue
2019-05-20 09:16 alostale Assigned To => alostale
2019-05-20 09:16 alostale Modules => Core
2019-05-20 09:16 alostale Triggers an Emergency Pack => No
2019-05-20 09:16 alostale Relationship added depends on 0040290
2019-05-20 09:18 alostale Proposed Solution updated
2019-05-20 09:21 alostale Proposed Solution updated
2019-05-20 12:56 alostale Proposed Solution updated
2019-05-20 12:57 alostale Issue cloned 0040914
2019-05-20 12:57 alostale Relationship added related to 0040914
2019-05-20 12:58 alostale Issue cloned 0040915
2019-05-20 12:58 alostale Relationship added related to 0040915
2019-05-20 13:02 alostale Tag Attached: Performance
2019-05-20 13:03 alostale Status new => acknowledged
2019-05-20 13:03 alostale Review Assigned To => caristu
2019-05-21 16:02 alostale Relationship added depends on 0040927
2019-05-22 09:47 alostale Relationship added depends on 0040931
2019-05-22 09:51 hgbot Checkin
2019-05-22 09:51 hgbot Note Added: 0112063
2019-05-22 09:51 hgbot Status acknowledged => resolved
2019-05-22 09:51 hgbot Resolution open => fixed
2019-05-22 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4dc58edab48f2f9e20cfce74f557827e43919803 [^]
2019-05-24 08:29 caristu Note Added: 0112108
2019-05-24 08:29 caristu Status resolved => closed
2019-05-24 08:29 caristu Fixed in Version => 3.0PR19Q3
2019-05-27 13:54 hudsonbot Checkin
2019-05-27 13:54 hudsonbot Note Added: 0112169
2019-07-23 15:45 vmromanos Relationship added related to 0041227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker